Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515128 - Firefox and Thunderbird have too large UIs
Summary: Firefox and Thunderbird have too large UIs
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1697068
TreeView+ depends on / blocked
 
Reported: 2017-11-20 08:15 UTC by Søren Hauberg
Modified: 2019-04-07 21:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Screenshot of my desktop when running on my external monitor. (deleted)
2017-11-20 08:15 UTC, Søren Hauberg
no flags Details

Description Søren Hauberg 2017-11-20 08:15:51 UTC
Created attachment 1355561 [details]
Screenshot of my desktop when running on my external monitor.

Description of problem:
I recently upgraded to Fedora 27 and now Firefox and Thunderbird have unreasonably large buttons and text fields (the entire UI appears "too large" compared to other Gnome apps).

I observe this problem when working on my laptop with an external monitor attached. Both my laptop and my external monitor have resolution 2560x1440 (one is 13" the other is 27"). When working on my laptops display every thing looks normal; I only encounter this HiDPI problem when working on my external monitor.

I'm attaching a screenshot of my desktop with firefox running. Observe the difference in font sizes (etc) between firefox and nautilus (and the gnome-shell).

Version-Release number of selected component (if applicable):


How reproducible:
Every day

Steps to Reproduce:
1. Plugin external monitor
2. Start firefox
3.

Actual results:
Firefox is huge

Expected results:
I would have expected fonts and other chrome to not be twice the size as for Gnome apps.

Additional info:
In Firefox, I have not set layout.css.devPixelsPerPx to another value than the default (-1)

Comment 1 Jan Vlug 2017-12-16 10:48:39 UTC
see also bug 1523944

Comment 2 Jan Vlug 2018-10-20 16:33:48 UTC
This issue seems to be fixed for Firefox on Wayland. So now Firefox for Wayland is working (apart from a few pending bugs), I have finally set the scaling on my HiDPI display to 150%. However, this makes Thunderbird nearly useless, as it somehow seems to detect itself that it is on HiDPI and therefore also seems to apply scaling up at application level. So in the end Thunderbird looks way too big on my screen.

I think a quick solution could be adding an configuration option in Thunderbird to disable its scaling.

I recommend setting the component for this bug from gnome-shell to Thunderbird.

Comment 3 Jan Vlug 2018-10-20 16:46:25 UTC
See also: https://bugzilla.mozilla.org/show_bug.cgi?id=1500698

Comment 4 Søren Hauberg 2018-11-21 08:21:18 UTC
I have just upgraded to Fedora 29, and the bug is still present for both Firefox and Thunderbird (not just Thunderbird as reported by Jan Vlug). I have updated the "Version" to "29".

Comment 5 Jan Vlug 2019-04-07 10:07:04 UTC
Hi Søren, did you try firefox-wayland? There the problem is solved. See also bug 1054334. You have to install the package firefox-wayland to test it.
The issue with Thunderbird is still there. Thunderbird is barely usable for me, especially the calendar in Lightning.
Would it be a good idea to change the component from gnome-shell to thunderbird?

Comment 6 Søren Hauberg 2019-04-07 17:44:07 UTC
Hi Jan,

Thanks! Indeed the issue goes away with firefox-wayland and thunderbird-wayland.

Given that these are the future, we can close the bug from my perspective (the solution is en route).

Thanks
Søren

Comment 7 Jan Vlug 2019-04-07 21:07:15 UTC
Hi Søren,

Wow, I did not know that there is also a thunderbird-wayland. This is great!

Thanks!


Note You need to log in before you can comment on or make changes to this bug.